php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm


Advertisement

Description

php-phpunitgoodpractices-polyfill - Lacking future-compat polyfills for PHPUnit

Property Value
Distribution Fedora 30
Repository Fedora Updates Testing i386
Package filename php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm
Package name php-phpunitgoodpractices-polyfill
Package version 1.2.0
Package release 1.fc30
Package architecture noarch
Package type rpm
Homepage https://github.com/PHPUnitGoodPractices/polyfill
License MIT
Maintainer -
Download size 15.61 KB
Installed size 31.98 KB
Lacking future-compat polyfills for PHPUnit.
Autoloader: /usr/share/php/PHPUnitGoodPractices/Polyfill/autoload.php

Alternatives

Package Version Architecture Repository
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.remi.noarch.rpm 1.2.0 noarch Les RPM de Remi
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.remi.noarch.rpm 1.2.0 noarch Les RPM de Remi
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm 1.2.0 noarch Fedora
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm 1.2.0 noarch Fedora
php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm 1.2.0 noarch Fedora Updates Testing
php-phpunitgoodpractices-polyfill - - -

Requires

Name Value
(phpunit8 or phpunit7 or phpunit6 or php-phpunit-PHPUnit)
php(language) >= 5.5
php-composer(fedora/autoloader) -

Provides

Name Value
php-composer(phpunitgoodpractices/polyfill) = 1.2.0
php-composer(phpunitgoodpractices/traits) = 1.8.0
php-phpunitgoodpractices-polyfill = 1.2.0-1.fc30
php-phpunitgoodpractices-traits = 1.8.0

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.noarch.rpm
Source Package php-phpunitgoodpractices-polyfill-1.2.0-1.fc30.src.rpm

Install Howto

Install php-phpunitgoodpractices-polyfill rpm package:

# dnf --enablerepo=updates-testing install php-phpunitgoodpractices-polyfill

Files

Path
/usr/share/doc/php-phpunitgoodpractices-polyfill/composer-polyfill.json
/usr/share/doc/php-phpunitgoodpractices-polyfill/composer-traits.json
/usr/share/licenses/php-phpunitgoodpractices-polyfill/LICENSE-polyfill
/usr/share/licenses/php-phpunitgoodpractices-polyfill/LICENSE-traits
/usr/share/php/PHPUnitGoodPractices/
/usr/share/php/PHPUnitGoodPractices/Polyfill/PolyfillTrait.php
/usr/share/php/PHPUnitGoodPractices/Polyfill/PolyfillTrait7.php
/usr/share/php/PHPUnitGoodPractices/Polyfill/aliases.php
/usr/share/php/PHPUnitGoodPractices/Polyfill/autoload.php
/usr/share/php/PHPUnitGoodPractices/Traits/ExpectOverSetExceptionTrait.php
/usr/share/php/PHPUnitGoodPractices/Traits/ExpectationViaCodeOverAnnotationTrait.php
/usr/share/php/PHPUnitGoodPractices/Traits/ExpectationViaCodeOverAnnotationTrait7.php
/usr/share/php/PHPUnitGoodPractices/Traits/IdentityOverEqualityTrait.php
/usr/share/php/PHPUnitGoodPractices/Traits/IdentityOverEqualityTrait7.php
/usr/share/php/PHPUnitGoodPractices/Traits/PHPUnitVersionRetriever.php
/usr/share/php/PHPUnitGoodPractices/Traits/ProphecyOverMockObjectTrait.php
/usr/share/php/PHPUnitGoodPractices/Traits/ProphecyOverMockObjectTrait7.php
/usr/share/php/PHPUnitGoodPractices/Traits/ProphesizeOnlyInterfaceTrait.php
/usr/share/php/PHPUnitGoodPractices/Traits/ProphesizeOnlyInterfaceTrait7.php
/usr/share/php/PHPUnitGoodPractices/Traits/Reporter.php

Changelog

2019-03-26 - Remi Collet <remi@remirepo.net> - 1.2.0-1
- update phpunitgoodpractices/polyfill to 1.2.0
- update phpunitgoodpractices/traits to 1.8.0
- allow PHPUnit 8
2019-02-02 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
2018-12-29 - Remi Collet <remi@remirepo.net> - 1.1.0-5
- update phpunitgoodpractices/traits to 1.7.0
2018-09-04 - Remi Collet <remi@remirepo.net> - 1.1.0-4
- update phpunitgoodpractices/traits to 1.6.0
2018-07-13 - Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-06-25 - Remi Collet <remi@remirepo.net> - 1.1.0-2
- add mandatory dependency on one PHPUnit version
- add phpunitgoodpractices/traits 1.5.1
- fix autoloader #1594663
2018-06-11 - Remi Collet <remi@remirepo.net> - 1.1.0-1
- update to 1.1.0 (no change)
- add LICENSE file
2018-06-04 - Remi Collet <remi@remirepo.net> - 1.0.0-1
- initial package, version 1.0.0
- open https://github.com/PHPUnitGoodPractices/polyfill/issues/1 - LICENSE file

See Also

Package Description
php-sabre-dav4-4.0.2-1.fc30.noarch.rpm WebDAV Framework for PHP
php-swiftmailer6-6.2.0-1.fc30.noarch.rpm Free Feature-rich PHP Mailer
php-symfony-polyfill-1.11.0-1.fc30.noarch.rpm Symfony polyfills backporting features to lower PHP versions
php-theseer-tokenizer-1.1.2-1.fc30.noarch.rpm Library for converting tokenized PHP source code into XML
php-zendframework-zend-feed-2.12.0-1.fc30.noarch.rpm Zend Framework Feed component
php-zendframework-zend-mime-2.7.2-2.fc30.noarch.rpm Zend Framework Mime component
php-zendframework-zend-modulemanager-2.8.3-2.fc30.noarch.rpm Zend Framework ModuleManager component
php-zendframework-zend-mvc-plugin-flashmessenger-1.2.0-1.fc30.noarch.rpm Zend Framework Mvc-Plugin-FlashMessenger component
php-zendframework-zend-server-2.8.1-2.fc30.noarch.rpm Zend Framework Server component
php-zendframework-zend-servicemanager-di-1.2.1-1.fc30.noarch.rpm Zend Framework ServiceManager-Di component
php-zendframework-zend-text-2.7.1-2.fc30.noarch.rpm Zend Framework Text component
php-zendframework-zend-validator-2.12.1-1.fc30.noarch.rpm Zend Framework Validator component
php-zendframework-zenddiagnostics-1.5.0-1.fc30.noarch.rpm A set of components for performing diagnostic tests
phpwapmail-0.9.5-1.fc30.noarch.rpm WAP-based e-mail client
physfs-3.0.2-1.fc30.i686.rpm Library to provide abstract access to various archives
Advertisement
Advertisement